<!doctype html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>Responsive</title>
        <link rel="stylesheet" href="../css/ejemplos.css">
        <style>
            body {
                overflow: auto;
            }

            .cabecera {
                background-color: rgb(235, 184, 184);
                position: sticky;
                top: 0;
                text-align: left; 
                min-width: 280px;               
            }

            h1 {
                font-size: 4em;
            }

            section {
                padding-top: 120px;
            }

            /* Muy pequeños */
            @media screen and (max-width: 575.98px) { 
                .cabecera {
                    background-color: rgb(235, 184, 184);
                    text-align: center;
                }

                h1 {
                    font-size: 3em;
                }
            }

            /* Pequeños */
            @media screen and (min-width: 576px) and (max-width: 767.98px) {
                .cabecera {
                    background-color: rgb(235, 211, 184);
                }
            }

            /* Dispositivos medianos */
            @media screen and (min-width: 768px) and (max-width: 991.98px) {
                .cabecera {
                    background-color: rgb(211, 235, 184);
                }
            }

            /* Largos */
            @media screen and (min-width: 992px) and (max-width: 1199.98px) {
                .cabecera {
                    background-color: rgb(184, 235, 228);
                }
            }

            /* Extra largos */
            @media screen and (min-width: 1200px) {
                .cabecera {
                    background-color: rgb(184, 192, 235);
                }
            }

        </style>
    </head>
    <body>
        <header class="cabecera">
            <h1>Título fijo</h1>
            <nav><a href="#seccion1">SubSeccion1</a> <a href="#seccion2">SubSeccion2</a> <a href="#seccion3">SubSeccion3</a> <a href="#seccion4">SubSeccion4</a></nav>
        </header>
        <main>
            <article>
                <h2>Artículo</h2>
                <section id="seccion1">
                    <h3>SubSeccion1</h3>
                    <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cumque dignissimos facilis qui! Eum quaerat, quidem, accusamus, corrupti quod dolore aperiam nam mollitia tempore obcaecati iste eligendi debitis voluptate esse sequi.</p>
                    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Fuga nam eveniet officia exercitationem assumenda sed adipisci aperiam fugiat at dolor odit ex nisi dicta optio, hic eius laborum odio ullam?</p>
                    <p>Lorem ipsum dolor, sit amet consectetur adipisicing elit. Ad maxime reiciendis voluptate autem sequi officia consectetur beatae totam placeat eveniet sit sint, harum velit atque ullam molestiae adipisci eligendi minima.</p>
                </section>
                <section id="seccion2">
                    <h3>SubSeccion2</h3>
                    <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cumque dignissimos facilis qui! Eum quaerat, quidem, accusamus, corrupti quod dolore aperiam nam mollitia tempore obcaecati iste eligendi debitis voluptate esse sequi.</p>
                    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Fuga nam eveniet officia exercitationem assumenda sed adipisci aperiam fugiat at dolor odit ex nisi dicta optio, hic eius laborum odio ullam?</p>
                    <p>Lorem ipsum dolor, sit amet consectetur adipisicing elit. Ad maxime reiciendis voluptate autem sequi officia consectetur beatae totam placeat eveniet sit sint, harum velit atque ullam molestiae adipisci eligendi minima.</p>
                </section>
                <section id="seccion3">
                    <h3>SubSeccion3</h3>
                    <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cumque dignissimos facilis qui! Eum quaerat, quidem, accusamus, corrupti quod dolore aperiam nam mollitia tempore obcaecati iste eligendi debitis voluptate esse sequi.</p>
                    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Fuga nam eveniet officia exercitationem assumenda sed adipisci aperiam fugiat at dolor odit ex nisi dicta optio, hic eius laborum odio ullam?</p>
                    <p>Lorem ipsum dolor, sit amet consectetur adipisicing elit. Ad maxime reiciendis voluptate autem sequi officia consectetur beatae totam placeat eveniet sit sint, harum velit atque ullam molestiae adipisci eligendi minima.</p>
                </section>
                <section id="seccion4">
                    <h3>SubSeccion4</h3>
                    <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Cumque dignissimos facilis qui! Eum quaerat, quidem, accusamus, corrupti quod dolore aperiam nam mollitia tempore obcaecati iste eligendi debitis voluptate esse sequi.</p>
                    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Fuga nam eveniet officia exercitationem assumenda sed adipisci aperiam fugiat at dolor odit ex nisi dicta optio, hic eius laborum odio ullam?</p>
                    <p>Lorem ipsum dolor, sit amet consectetur adipisicing elit. Ad maxime reiciendis voluptate autem sequi officia consectetur beatae totam placeat eveniet sit sint, harum velit atque ullam molestiae adipisci eligendi minima.</p>
                </section>
                <aside>
                    <h2>Publicidad</h2>
                    <h2>Publicidad</h2>
                    <h2>Publicidad</h2>
                </aside>
            </article>
        </main>
    </body>
</html>